/*
 * ProjectInfo.java
 *
 *  iReport  --  Visual designer for generating JasperReports Documents
 *  Copyright (C) 2002-2003  Giulio Toffoli gt@businesslogic.it
 *
 *  This program is free software; you can redistribute  and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Giulio Toffoli
 *  Via T.Aspetti, 233
 *  35100 Padova ITALY
 *  gt@businesslogic.it
 *
 *
 * Created on 4 giugno 2003, 1.43
 */

package it.businesslogic.ireport;

/**
 *
 * @author  Administrator
 */
public class ProjectInfo {
    
    private String name="";
    private String sourcesDir="";
    private String outputDir="";
    private String connection="";
    
    /** Creates a new instance of ProjectInfo */
    public ProjectInfo() {
    }
    
    /** Getter for property connection.
     * @return Value of property connection.
     *
     */
    public java.lang.String getConnection() {
        return connection;
    }
    
    /** Setter for property connection.
     * @param connection New value of property connection.
     *
     */
    public void setConnection(java.lang.String connection) {
        this.connection = connection;
    }
    
    /** Getter for property name.
     * @return Value of property name.
     *
     */
    public java.lang.String getName() {
        return name;
    }
    
    /** Setter for property name.
     * @param name New value of property name.
     *
     */
    public void setName(java.lang.String name) {
        this.name = name;
    }
    
    /** Getter for property outputDir.
     * @return Value of property outputDir.
     *
     */
    public java.lang.String getOutputDir() {
        return outputDir;
    }
    
    /** Setter for property outputDir.
     * @param outputDir New value of property outputDir.
     *
     */
    public void setOutputDir(java.lang.String outputDir) {
        this.outputDir = outputDir;
    }
    
    /** Getter for property sourcesDir.
     * @return Value of property sourcesDir.
     *
     */
    public java.lang.String getSourcesDir() {
        return sourcesDir;
    }
    
    /** Setter for property sourcesDir.
     * @param sourcesDir New value of property sourcesDir.
     *
     */
    public void setSourcesDir(java.lang.String sourcesDir) {
        this.sourcesDir = sourcesDir;
    }
    
    public String toString()
    {
        return this.getName();
    }
    
}
